aboutsummaryrefslogtreecommitdiff
path: root/src/Specific/solinas32_2e150m3_6limbs/compilerxx.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/Specific/solinas32_2e150m3_6limbs/compilerxx.sh')
-rwxr-xr-xsrc/Specific/solinas32_2e150m3_6limbs/compilerxx.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/src/Specific/solinas32_2e150m3_6limbs/compilerxx.sh b/src/Specific/solinas32_2e150m3_6limbs/compilerxx.sh
new file mode 100755
index 000000000..77c3fc0d0
--- /dev/null
+++ b/src/Specific/solinas32_2e150m3_6limbs/compilerxx.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -eu
+
+clang++ -fbracket-depth=999999 -march=native -mtune=native -std=gnu++11 -O3 -flto -fuse-ld=lld -fomit-frame-pointer -fwrapv -Wno-attributes -fno-strict-aliasing -Da24_hex='0x3039' -Da24_val='12345' -Da_minus_two_over_four_array='{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x39}' -Dbitwidth='32' -Dlimb_weight_gaps_array='{25,25,25,25,25,25}' -Dmodulus_array='{0x3f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfd}' -Dmodulus_bytes_val='19' -Dmodulus_limbs='6' -Dq_mpz='(1_mpz<<150) - 3' "$@"